
Redmine - Feature #3810

Link to SCM Revision from Time Tracking Summary

2009-09-02 22:47 - Alex Bevilacqua

Status: Closed Start date: 2009-09-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be nice if you could somehow provide a link in your time log entry back to a revision in the SCM. Most of the time (on dev

projects), time is updated when code is checked in. You can provide a link to the task in question in the commit log, but you can't link

back when recording your time.

Basically just something along the lines of "See Commit X", where X is rendered as a link back to the SCM for the project the task

belongs to.

Related issues:

Related to Redmine - Patch #3815: Format links in Timelog Closed 2009-09-03

Is duplicate of Redmine - Feature #202: Textilization of Documents, News and ... New

History

#1 - 2009-09-03 16:01 - Alex Bevilacqua

Just an update, if the revision notation of

r0000 --- where 0000 is the revision in the SCM to link to

 Worked in the timelog comments the way it does everywhere else, that would be perfect :D

#2 - 2009-09-03 17:39 - Alex Bevilacqua

Addressed by #3815

#3 - 2010-03-22 21:17 - Mischa The Evil

- Category deleted (Time tracking)

- Status changed from New to Closed

Closed as a dup of issue #202. To keep the tracker clean of duplicates and sort-a-likes... ;)

#4 - 2010-03-22 21:54 - Mischa The Evil

- Resolution set to Duplicate
